Skip to content

List all news

Request

Returns news items, which tell members about customer or user activity, most recent first.

Security
bearerAuth
Path
organizationIdstringrequired

Organization ID of the member accessing the resource

Example:my-organization-id
Query
offsetinteger, [ 0 .. 9007199254740991 ]
Default:0
limitinteger, ( 0 .. 250 ]
Default:100
scopestring(ScopeInput)

All will return all visible customers. Team will restrict this to those where your team members (members under a shared manager) are assigned a role on the customer. Mine will only return customers you are assigned a role to on the customer.

Default:"all"
Enum:"mine""team""all"
customerIdArray of integers, non-empty
userIdArray of integers, non-empty

Only return news about these users at the customer

productIdArray of integers, non-empty

Only return news about these products, and news that is about no product

categoryArray of strings, non-empty

Only return news in these categories, such as meeting, product or crm

curl -i -X GET \
  'https://docs.api.hook.co/_mock/v1/openapi/organizations/my-organization-id/news?offset=0&limit=100&scope=all&customerId=1&userId=1&productId=1&category=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Default Response

Bodyapplication/json
itemsArray of objects(NewsItem)required
totalCountnumberrequired
Response
{ "items": [ { … } ], "totalCount": 0 }